<template>
  <div class="refinery">
    <el-table :data="tableData" border style="width: 100%">
      <el-table-column label="序号" width="45px" type="index"></el-table-column>
      <el-table-column
              v-for="(item,index) in tableHeader"
              :key="index"
              :prop="item.propS"
              :label="item.name"
              :width="item.width"></el-table-column>
    </el-table>
  </div>
</template>

<script>
export default {
  name: 'refinery',
  data () {
    return {
      tableData: [{
        date: '2016-05-02',
        name: '王小虎',
        address: ' 1518 弄'
      }, {
        date: '2016-05-04',
        name: '王小虎',
        address: ' 1517 弄'
      }, {
        date: '2016-05-01',
        name: '王小虎',
        address: ' 1519 弄'
      }, {
        date: '2016-05-03',
        name: '王小虎',
        address: ' 1516 弄'
      }]
    }
  },
  props: {
    tableHeader: {
      type: Array,
      default: () => {
        return []
      },
      tableContent: {
        type: Array,
        default: () => {
          return []
        }
      }
    }
  }
}
</script>

<style scoped lang="less">

</style>
